local markersPostos = {
{city = "LS-2", x = 1439.70373535, y = -2149.1552734375, z = 13.546875, style = "cylinder", font = 1.0, r = 16, g = 111, b = 231, opaccity = 170},
{city = "LS-2", x = 1438.7205810547, y = -2153.1127929688, z = 13.546875, style = "cylinder", font = 1.0, r = 16, g = 111, b = 231, opaccity = 170},
{city = "LS-2", x = 1437.5574951172, y = -2157.837890625, z = 13.546875, style = "cylinder", font = 1.0, r = 16, g = 111, b = 231, opaccity = 170},
{city = "LS-2", x = 1436.7056884766, y = -2161.2211914063, z = 13.546875, style = "cylinder", font = 1.0, r = 16, g = 111, b = 231, opaccity = 170},

{city = "LS-2", x = 1438.7395019531, y = -2153.1037597656, z = 13.071794509888,style = "cylinder", font = 1.0, r = 16, g = 111, b = 231, opaccity = 170},
{city = "LS-2", x = 1934.6893310547, y = -1802.673828125, z = 12.390598297119,style = "cylinder", font = 1.0, r = 16, g = 111, b = 231, opaccity = 170},
{city = "LS-2", x = 1928.5437011719, y = -1802.673828125, z = 12.3828125,style = "cylinder", font = 1.0, r = 16, g = 111, b = 231, opaccity = 170},
{city = "LS-2", x = 1922.4060058594, y = -1802.673828125, z = 12.390598297119,style = "cylinder", font = 1.0, r = 16, g = 111, b = 231, opaccity = 170},
}

local blipsGasStations = {
{city = "LSBLIP", x = 1439.7196044922, y = -2149.05859375, z = 13.0702619, icon = 25, size = 4, r = 0, g = 0, b = 0, a = 0, ordering = 0, visibleDistance = 200},
{city = "LSBLIP", x = 1007.105, y = -932.866, z = 42.18, icon = 25, size = 2, r = 0, g = 0, b = 0, a = 0, ordering = 0, visibleDistance = 200},
}

function createGasStations()
	for i,v in ipairs(markersPostos) do
		local m = createMarker(v.x, v.y, v.z, v.style, v.font, v.r, v.g, v.b, v.opaccity)
		addEventHandler("onClientMarkerHit", m, refuelCar)
	end
end

function createBlipsFromGasStations()
	for i,v in ipairs(blipsGasStations) do
		local b = createBlip(v.x, v.y, v.z, v.icon, v.size, v.r, v.g, v.b, v.a, v.ordering, v.visibleDistance)
		
	end
end

function refuelCar(player)
	if (player ~= localPlayer) then
		return false
	end

	local seat = getPedOccupiedVehicleSeat(localPlayer)
	if(seat ~= 0) then
		return
	else
		addEventHandler("onClientRender", root, drawImages)
	end
end

createGasStations()
createBlipsFromGasStations()

function bindFromRefulling()
	local vehicle = getPedOccupiedVehicle(localPlayer)
	triggerServerEvent("onVehicleRefulling", localPlayer, vehicle)
end

function bindFromRefullingFull()
	local vehicle = getPedOccupiedVehicle(localPlayer)
	triggerServerEvent("onVehicleRefullingFull", localPlayer, vehicle)
end

function getVehicleFuel(v)
	local fuel = getElementData(v, "fuel")	
	if (fuel) then
		return fuel
	end
	return 0
end

function dxDrawBorderedText( text, x, y, w, h, color, scale, font, alignX, alignY, clip, wordBreak, postGUI )
	dxDrawText ( text, x - 1, y - 1, w - 1, h - 1, tocolor ( 0, 0, 0, 255 ), scale, font, alignX, alignY, clip, wordBreak, false )
	dxDrawText ( text, x + 1, y - 1, w + 1, h - 1, tocolor ( 0, 0, 0, 255 ), scale, font, alignX, alignY, clip, wordBreak, false )
	dxDrawText ( text, x - 1, y + 1, w - 1, h + 1, tocolor ( 0, 0, 0, 255 ), scale, font, alignX, alignY, clip, wordBreak, false )
	dxDrawText ( text, x + 1, y + 1, w + 1, h + 1, tocolor ( 0, 0, 0, 255 ), scale, font, alignX, alignY, clip, wordBreak, false )
	dxDrawText ( text, x - 1, y, w - 1, h, tocolor ( 0, 0, 0, 255 ), scale, font, alignX, alignY, clip, wordBreak, false )
	dxDrawText ( text, x + 1, y, w + 1, h, tocolor ( 0, 0, 0, 255 ), scale, font, alignX, alignY, clip, wordBreak, false )
	dxDrawText ( text, x, y - 1, w, h - 1, tocolor ( 0, 0, 0, 255 ), scale, font, alignX, alignY, clip, wordBreak, false )
	dxDrawText ( text, x, y + 1, w, h + 1, tocolor ( 0, 0, 0, 255 ), scale, font, alignX, alignY, clip, wordBreak, false )
	dxDrawText ( text, x, y, w, h, color, scale, font, alignX, alignY, clip, wordBreak, postGUI )
end

x,y = guiGetScreenSize()
MaxFuel = 100
price = "4,00"
tick = getTickCount()

addEventHandler("onClientMarkerLeave", root,
 function (player)
  if (player ~= localPlayer) then
   return false
  end
  removeEventHandler("onClientRender", root, drawImages)
 end
)



x, y = guiGetScreenSize()
local font = "default-bold"

function resX(value)
    return (value/800) * x
end

function resY(value)
    return (value/600) * y
end


function drawImages(v)
	
	local pedInVehicle = getPedOccupiedVehicle(localPlayer)
	local fuel = getVehicleFuel(pedInVehicle)
 	
	dxDrawRectangle(x*0, y*0, x*1366, y*768, tocolor(0, 0, 0, 200), false)
	

	dxDrawText("#106FE7POSTO DE COMBUSTIVEL DO MOTTA",x*0.35,y*0.2,x*0.35+resX(250),y*0.2+resY(30),tocolor(255,255,255,255),resY(1.4),font,"center","center",true,false,false,true)
	dxText("            Combustivel: #106FE7" .. math.floor(fuel)*1000/1000 .. "%",x*0.35+resX(20),y*0.2+resY(30),x*0.35+resX(260),y*0.2+resY(60),255,255,255,255,1,font,"left","center",true,false,false,true)
    if (MaxFuel - fuel) < 1 then
	dxText("            Abastecer: #106FE7"..(MaxFuel) - math.floor(fuel) .. " %",x*0.35+resX(20),y*0.2+resY(50),x*0.35+resX(260),y*0.2+resY(80),255,255,255,255,1,font,"left","center",true,false,false,true)
    else
	dxText("            Abastecer: #106FE7"..(MaxFuel) - math.floor(fuel)*1000/1000 .. "%",x*0.35+resX(20),y*0.2+resY(50),x*0.35+resX(260),y*0.2+resY(80),255,255,255,255,1,font,"left","center",true,false,false,true)
	end	
	dxText("            Preço por Litro: #106FE7$4 = 1 Litro",x*0.35+resX(20),y*0.2+resY(70),x*0.35+resX(260),y*0.2+resY(100),255,255,255,255,1,font,"left","center",true,false,false,true)
	dxText("            Para Abastecer por #106FE7Litro #FFFFFFaperte: #106FE7L",x*0.35+resX(20),y*0.2+resY(90),x*0.35+resX(260),y*0.2+resY(120),255,255,255,255,1,font,"left","center",true,false,false,true)
	dxText("            Para Encher o Tanque aperte: #106FE7K",x*0.35+resX(20),y*0.2+resY(110),x*0.35+resX(260),y*0.2+resY(140),255,255,255,255,1,font,"left","center",true,false,false,true)
	dxText("            Seu Dinheiro: #106FE7$"..convertNumber( getPlayerMoney(getLocalPlayer())).."",x*0.35+resX(20),y*0.2+resY(130),x*0.35+resX(260),y*0.2+resY(160),255,255,255,255,1,font,"left","center",true,false,false,true)
	if (getKeyState("L") and (getTickCount() - tick) > 600 and fuel <= 100) then
		bindFromRefulling()
		tick = getTickCount()
		playSound("sounds/song.mp3")
	end
	if (getKeyState("K") and (getTickCount() - tick) > 600 and fuel <= 100) then
		bindFromRefullingFull()
		tick = getTickCount()
		playSound("sounds/song.mp3")
	end
end
--addEventHandler("onClientRender",root,painelfreeroam)        


function convertNumber ( number )  
	local formatted = number  
	while true do      
		formatted, k = string.gsub(formatted, "^(-?%d+)(%d%d%d)", '%1,%2')    
		if ( k==0 ) then      
			break   
		end  
	end  
	return formatted
end

function dxDrawRecLine(x,y,w,h,color)
    dxDrawRectangle(x,y,w,1,color) -- h
	dxDrawRectangle(x,y+h-1,w,1,color) -- h
	dxDrawRectangle(x,y,1,h,color) -- v
	dxDrawRectangle(x+w-1,y,1,h,color) -- v
end

function dxText(text,x,y,w,h,red,green,blue,alpha,scale,font,a,b,c,d,e,f)
    dxDrawText(string.gsub(text,"(#%x%x%x%x%x%x)",""),x+1,y+1,w+1,h+1,tocolor(0,0,0,alpha),scale,font,a,b,c,d,e,f)
	dxDrawText(text,x,y,w,h,tocolor(red,green,blue,alpha),scale,font,a,b,c,d,e,f)
end
function dxDrawRectangleGradiente(x,y,w,h,r,g,b,a,direction)
    if not x or not y or not w or not h or not r or not g or not b or not a or not direction then
	    return outputDebugString("arguments not correspond")
	end
	if direction == "left" then
	    local space = (w/a)
		for i=1,a do
		    local now = space+(i*space)
		    dxDrawRectangle(x+w+space-now,y,space,h,tocolor(r,g,b,i))
		end
	elseif direction == "right" then
	    local space = (w/a)
		for i=1,a do
		    local now = space+(i*space)
		    dxDrawRectangle(x-(space*2)+now,y,space,h,tocolor(r,g,b,i))
		end
	elseif direction == "down" then
	    local space = (h/a)
		for i=1,a do
		    local now = space+(i*space)
		    dxDrawRectangle(x,y+now,w,space,tocolor(r,g,b,i))
		end
	elseif direction == "up" then
	    local space = (h/a)
		for i=1,a do
		    local now = space+(i*space)
		    dxDrawRectangle(x,y+h-now,w,space,tocolor(r,g,b,i))
		end
	else
	    return outputDebugString("direction invalid")
	end
end
